Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513927 - [abrt] blueman: SetAdapter(): DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
Summary: [abrt] blueman: SetAdapter(): DeviceList.py:240:SetAdapter:AttributeError: 'N...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d0faecf5e340990f07f2e2bd3b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 09:55 UTC by laurent.forthomme
Modified: 2018-11-30 18:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:46:10 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: cgroup (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: cpuinfo (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: environ (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: mountinfo (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: namespaces (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details
File: open_fds (deleted)
2017-11-16 09:56 UTC, laurent.forthomme
no flags Details

Description laurent.forthomme 2017-11-16 09:55:58 UTC
Description of problem:
crash at startup

Version-Release number of selected component:
blueman-2.1-0.7.alpha1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        python3.6 /bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /bin/blueman-manager
kernel:         4.13.12-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/blueman/main/Manager.py", line 133, in on_dbus_name_appeared
    self.List = ManagerDeviceList(adapter=self.Config["last-adapter"], inst=self)
  File "/usr/lib/python3.6/site-packages/blueman/gui/manager/ManagerDeviceList.py", line 62, in __init__
    super(ManagerDeviceList, self).__init__(adapter, data)
  File "/usr/lib/python3.6/site-packages/blueman/gui/DeviceList.py", line 104, in __init__
    self.SetAdapter(adapter)
  File "/usr/lib/python3.6/site-packages/blueman/gui/DeviceList.py", line 240, in SetAdapter
    self.Adapter.connect_signal('property-changed', self._on_property_changed)
AttributeError: 'NoneType' object has no attribute 'connect_signal'

Local variables in innermost frame:
adapter: ''
self: <ManagerDeviceList.ManagerDeviceList object at 0x7f7a94375168 (blueman+gui+manager+ManagerDeviceList+ManagerDeviceList at 0x55a0c19ae3c0)>

Potential duplicate: bug 1464702

Comment 1 laurent.forthomme 2017-11-16 09:56:04 UTC
Created attachment 1353387 [details]
File: backtrace

Comment 2 laurent.forthomme 2017-11-16 09:56:06 UTC
Created attachment 1353388 [details]
File: cgroup

Comment 3 laurent.forthomme 2017-11-16 09:56:08 UTC
Created attachment 1353389 [details]
File: cpuinfo

Comment 4 laurent.forthomme 2017-11-16 09:56:10 UTC
Created attachment 1353390 [details]
File: environ

Comment 5 laurent.forthomme 2017-11-16 09:56:12 UTC
Created attachment 1353391 [details]
File: mountinfo

Comment 6 laurent.forthomme 2017-11-16 09:56:14 UTC
Created attachment 1353392 [details]
File: namespaces

Comment 7 laurent.forthomme 2017-11-16 09:56:15 UTC
Created attachment 1353393 [details]
File: open_fds

Comment 8 Armando Perico 2017-11-27 15:13:29 UTC
*** Bug 1517843 has been marked as a duplicate of this bug. ***

Comment 9 Damian Kostyra 2017-12-03 20:19:04 UTC
Similar problem has been detected:

System not detected bluetooth.

reporter:       libreport-2.9.3
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.13.16-300.fc27.i686
package:        blueman-2.1-0.7.alpha1.fc27
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 qwnsknight 2017-12-14 07:26:03 UTC
Similar problem has been detected:

Just attempted to turn bluetooth off

1) login into MATE
2) right click bluetooth applet
3) select turn off bluetooth

reporter:       libreport-2.9.3
cmdline:        python3.6 /usr/bin/blueman-manager
crash_function: SetAdapter
exception_type: AttributeError
executable:     /usr/bin/blueman-manager
kernel:         4.14.3-300.fc27.x86_64
package:        blueman-2.1-0.7.alpha1.fc27
reason:         DeviceList.py:240:SetAdapter:AttributeError: 'NoneType' object has no attribute 'connect_signal'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 11 Ben Cotton 2018-11-27 17:48:55 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2018-11-30 18:46:10 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.